Summary:          CMap resources for  character collections of Adobe
Name:             adobe-mappings-cmap
Version:          20231115
Release:          3%{?dist}
License:          BSD
URL:              https://www.adobe.com/
Source:           https://github.com/adobe-type-tools/cmap-resources/archive/%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    git make

%global crversion %(echo '%{version}' | awk '{print substr($0,1,4)"."substr($0,5,2)"."substr($0,7)}')
Provides:         cmap-resources = %{crversion}-6.%{release}
Provides:         cmap-resources-cns1-6 = %{crversion}-6.%{release}
Provides:         cmap-resources-cns1-7 = %{crversion}-6.%{release}
Provides:         cmap-resources-gb1-5 = %{crversion}-6.%{release}
Provides:         cmap-resources-japan1-7 = %{crversion}-6.%{release}
Provides:         cmap-resources-korea1-2 = %{crversion}-6.%{release}
Provides:         cmap-resources-identity-0 = %{crversion}-6.%{release}
Provides:         cmap-resources-kr-9 = %{crversion}-6.%{release}

%description
CMap (Character Map) resources are used to unidirectionally map character codes,
such as Unicode encoding form, to CIDs (Character IDs -- meaning glyphs) of a
CIDFont resource.

%package deprecated
Summary:          Deprecated CMap resources for  character collections of Adobe
Requires:         adobe-mappings-cmap = %{version}-%{release}

Provides:         cmap-resources-japan2-0 = %{crversion}-6.%{release}

%description deprecated
This sub-package contains currently deprecated CMap resources that some
applications might still require to function properly.

%package devel
Summary:          RPM macros for  CMap resources for character collections of Adobe
Requires:         adobe-mappings-cmap = %{version}-%{release}
Requires:         adobe-mappings-cmap-deprecated = %{version}-%{release}

%description devel
This package is useful for development purposes only. It installs RPM
macros useful for building packages against adobe-mappings-cmap,
as well as all the fonts contained in this font set.


%prep
%autosetup -n cmap-resources-%{version} -S git

%install
%make_install prefix=%{_prefix}
install -m 0755 -d %{buildroot}%{_rpmconfigdir}/macros.d

cat > %{buildroot}%{_rpmconfigdir}/macros.d/macros.adobe-mappings-cmap << _EOF
%%adobe_mappings_rootpath     %{_datadir}/adobe/resources/mapping/
_EOF

%files
%license LICENSE.md
%doc README.md VERSIONS.txt
%dir %{_datadir}/adobe
%dir %{_datadir}/adobe/resources
%dir %{_datadir}/adobe/resources/mapping
%{_datadir}/adobe/resources/mapping/CNS1
%{_datadir}/adobe/resources/mapping/GB1
%{_datadir}/adobe/resources/mapping/Identity
%{_datadir}/adobe/resources/mapping/Japan1
%{_datadir}/adobe/resources/mapping/Korea1
%{_datadir}/adobe/resources/mapping/KR
%{_datadir}/adobe/resources/mapping/Manga1

%files deprecated
%{_datadir}/adobe/resources/mapping/deprecated

%files devel
%{_rpmconfigdir}/macros.d/macros.adobe-mappings-cmap

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20231115-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20231115-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 20231115-1
- Upgrade to version 20231115

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20190730-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20190730-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20190730-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Feng Weiyao <wynnfeng@tencent.com> - 20190730-1
- package init.
